# TODO

- [ ] Support Query Operations (parial)
    - [ ] Page Query
    - [ ] Media Query
    - [ ] MediaTrend Query
    - [ ] AiringSchedule Query
    - [ ] Character Query
    - [ ] Staff Query
    - [ ] MediaList Query (parial[^1])
    - [ ] MediaListCollection Query
    - [ ] GenreCollection Query
    - [ ] MediaTagCollection Query
    - [ ] User Query
    - [ ] Viewer Query
    - [ ] Notification Query
    - [ ] Studio Query
    - [ ] Review Query
    - [ ] Activity Query
    - [ ] ActivityReply Query
    - [ ] Following Query
    - [ ] Follower Query
    - [ ] Thread Query
    - [ ] ThreadComment Query (parial[^1])
    - [ ] Recommendation Query
    - [ ] Like Query
    - [ ] Markdown Query
    - [ ] AniChartUser Query
    - [ ] SiteStatistics Query
    - [ ] ExternalLinkSourceCollection Query

- [ ] Support Mutation Operations (parial)
    - [ ] UpdateUser
    - [ ] SaveMediaListEntry
    - [ ] UpdateMediaListEntries
    - [ ] DeleteMediaListEntry
    - [ ] DeleteCustomList
    - [ ] SaveTextActivity
    - [ ] SaveMessageActivity
    - [ ] SaveListActivity
    - [ ] DeleteActivity
    - [ ] ToggleActivityPin
    - [ ] ToggleActivitySubscription
    - [ ] SaveActivityReply
    - [ ] DeleteActivityReply
    - [ ] ToggleLike
    - [ ] ToggleLikeV2
    - [ ] ToggleFollow
    - [ ] ToggleFavourite
    - [ ] UpdateFavouriteOrder
    - [ ] SaveReview
    - [ ] DeleteReview
    - [ ] RateReview
    - [ ] SaveRecommendation
    - [ ] SaveThread
    - [ ] DeleteThread
    - [ ] ToggleThreadSubscription
    - [ ] SaveThreadComment (parial)
    - [ ] DeleteThreadComment
    - [ ] UpdateAniChartSettings
    - [ ] UpdateAniChartHighlights

- [ ] Add proper tests
- [ ] Support fragment fields
- [x] Support nested fields
- [x] Add ability to pass in default fields at query creation
- [x] Support dynamic variables
- [ ] Improve performance
- [x] Support nested complex fields
- [x] Authentication

[^1]: Currently does not support User, Media, and Thread fields.